> ## Documentation Index
> Fetch the complete documentation index at: https://help.eazybe.com/llms.txt
> Use this file to discover all available pages before exploring further.

# İşletme profilini getir

> İşletme profilini getir. Bu işlem için parametreleri, örneği ve kullanılabilir yanıtları inceleyin.



## OpenAPI

````yaml tr/api-reference/meta/openapi.json GET /meta/phone-numbers/{phoneNumberId}/business-profile
openapi: 3.1.0
info:
  title: Eazybe Meta API Katmanı
  version: 1.0.0
  description: >-
    WhatsApp Business Cloud API için kimlik doğrulamalı tek bir Eazybe REST
    yüzeyi.
servers:
  - url: https://cerberus.eazybe.com/staging/api/v2
    description: Bu yer tutucuyu ortamınıza atanmış Eazybe API sunucusuyla değiştirin.
security:
  - bearerAuth: []
tags:
  - name: Telefon numaraları
    description: Bağlı WABA ve telefon numarası kimliklerini bulun.
  - name: Mesajlaşma
    description: WhatsApp mesajları gönderin ve mesaj durumunu güncelleyin.
  - name: Şablonlar
    description: WhatsApp mesaj şablonlarını yönetin.
  - name: Medya
    description: WhatsApp medya dosyalarını yükleyin, görüntüleyin ve silin.
  - name: Webhook'lar
    description: Bir WABA'nın webhook aboneliklerini yönetin.
  - name: Analizler
    description: Mesajlaşma, konuşma, fiyatlandırma ve şablon analizlerini görüntüleyin.
  - name: Profiller ve ayarlar
    description: İşletme profillerini ve telefon numarası ayarlarını yönetin.
  - name: Otomasyon
    description: Karşılama mesajlarını, başlangıç sorularını ve komutları yapılandırın.
  - name: QR kodları
    description: Sohbete yönlendiren QR kodlarını yönetin.
  - name: Flows
    description: WhatsApp Flows yaşam döngüsünü yönetin.
  - name: Numara yönetimi
    description: >-
      Numaraları kaydedin, PIN'leri yönetin ve birlikte kullanım verilerini
      eşitleyin.
  - name: Engellenenler listesi
    description: WhatsApp kullanıcılarını listeleyin, engelleyin ve engellerini kaldırın.
paths:
  /meta/phone-numbers/{phoneNumberId}/business-profile:
    parameters:
      - $ref: '#/components/parameters/PhoneNumberId'
    get:
      tags:
        - Profiller ve ayarlar
      summary: İşletme profilini getir
      description: >-
        İşletme profilini getir. Bu işlem için parametreleri, örneği ve
        kullanılabilir yanıtları inceleyin.
      operationId: getBusinessProfile
      parameters:
        - $ref: '#/components/parameters/Fields'
      responses:
        '200':
          description: >-
            Profile returned (inside a `data` array)


            **Failure responses**


            | **Status** | **Meaning** | **Action** |

            | --- | --- | --- |

            | `401` | Missing, invalid, or expired bearer token |
            Re-authenticate |

            | `404` | `phoneNumberId` not linked to your organization | Verify
            the id |

            | `400` | Unsupported field in `fields` | Correct the field list |

            | `502` | Graph unreachable or timed out | Retry with backoff |
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - about
                        - address
                        - description
                        - email
                        - profile_picture_url
                        - websites
                        - vertical
                        - messaging_product
                      properties:
                        about:
                          type: string
                        address:
                          type: string
                        description:
                          type: string
                        email:
                          type: string
                        profile_picture_url:
                          type: string
                        websites:
                          type: array
                          items:
                            type: string
                        vertical:
                          type: string
                        messaging_product:
                          type: string
              example:
                data:
                  - about: Open 9am–7pm IST
                    address: 12 MG Road, Bengaluru
                    description: Order support and delivery updates
                    email: support@acme.com
                    profile_picture_url: https://pps.whatsapp.net/v/t61.24694-24/...
                    websites:
                      - https://acme.com
                    vertical: RETAIL
                    messaging_product: whatsapp
components:
  parameters:
    PhoneNumberId:
      name: phoneNumberId
      in: path
      required: true
      description: >-
        `GET /meta/phone-numbers` tarafından döndürülen telefon numarası
        kimliği.
      schema:
        type: string
      example: '5647382910'
    Fields:
      name: fields
      in: query
      required: false
      description: Virgülle ayrılmış Graph API alanları.
      schema:
        type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Eazybe token
      description: >-
        Eazybe bearer tokenı. Token kuruluşu tanımlar ve sunucuda güvenli
        tutulmalıdır.

````